routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', function () {
    return view('getstarted');
});

Auth::routes();
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/profile', 'ProfileController@index');
Route::get('/comment', 'CommentController@index');

Auth::routes();

/*
|--------------------------------------------------------------------------
| Post Routes
|--------------------------------------------------------------------------
|
*/
Route::name('post.')->group(function () {
    Route::get('/', 'PostController@index')->name('index');
    Route::get('/post/create', 'PostController@create')->name('create');
    Route::post('/post', 'PostController@store')->name('store');
    Route::get('/search', 'PostController@search')->name('search');

});

app/Post.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Post extends Model
{
    protected $fillable = ['user_id', 'wisata_id', 'caption', 'image', 'like'];
}

app/Http/Controllers/PostController.php
<?php

namespace App\Http\Controllers;

use App\Post;
use Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
class PostController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function __construct()
    {
        $this->middleware('auth', ['except' => ['index']]);
    }
    public function index()
    {
        if (Auth::user())
        {
            $output=DB::table('users')
            ->join('posts', 'users.id', '=', 'posts.user_id')
            ->join('tempat_wisatas', 'tempat_wisatas.id', '=', 'posts.wisata_id')
            ->join('kategoris','kategoris.id','=','tempat_wisatas.id_kategori')
            ->join('kotas','kotas.id','=','tempat_wisatas.id_kota')
            ->select('users.name','posts.*','kategoris.*','kotas.*','tempat_wisatas.*')
            ->get();
            return view('index', compact('output'));
        }
        return view('getstarted');
        
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('posts.formAddPost');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'file_foto' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:2048',
          ]);

        if($request->hasFile('file_foto')){
            $image = $request->file('file_foto');
            $destinationPath = public_path('/storage/posts');
            $name = time().'.'.$image->getClientOriginalExtension();
            $image->move($destinationPath, $name);
        }

        $data = [
            'user_id' => Auth::user()->id,
            'wisata_id' => $request->dropWisata,
            'caption' => $request->caption,
            'image' => 'storage/posts/' . $name,
            'like' => 0
        ];

        Post::create($data);
        return redirect(route('post.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Post  $post
     * @return \Illuminate\Http\Response
     */
    public function show(Post $post)
    {
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Post  $post
     * @return \Illuminate\Http\Response
     */
    public function edit(Post $post)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Post  $post
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Post $post)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Post  $post
     * @return \Illuminate\Http\Response
     */
    public function destroy(Post $post)
    {
        
    }
    public function search(Request $request){
        $output=DB::table('users')
        ->join('posts', 'users.id', '=', 'posts.user_id')
        ->join('tempat_wisatas', 'tempat_wisatas.id', '=', 'posts.wisata_id')
        ->join('kategoris','kategoris.id','=','tempat_wisatas.id_kategori')
        ->join('kotas','kotas.id','=','tempat_wisatas.id_kota')
        ->select('users.name','posts.*','kategoris.*','kotas.*','tempat_wisatas.*')
        ->where('posts.caption', 'like', "%{$request->keyword}%")
        ->orWhere('kategoris.nama_kategori' ,'like',"%{$request->keyword}%")
        ->orWhere('kotas.nama_kota' ,'like',"%{$request->keyword}%")
        ->orWhere('tempat_wisatas.nama_tempat_wisata' ,'like',"%{$request->keyword}%")
        ->get();
        return view('index', compact('output'));
    }
}

resources/views/posts/formAddPost.blade.php
@extends('layouts.app')


@section('content')
<br><br><br><br><br><br>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Tambah Postingan</div>

                <div class="card-body">
                    <form action="{{ route('post.store') }}" method="POST" enctype="multipart/form-data">
                        @csrf

                        <div class="form-group row">
                            <label for="kota" class="col-sm-4 col-form-label text-md-right">Kota</label>
                            <div class="col-md-6">
                                <select class="form-control" name="dropKota" id="dropKota" required></select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="wisata" class="col-sm-4 col-form-label text-md-right">Wisata</label>
                            <div class="col-md-6">
                            <select class="form-control" name="dropWisata" id="dropWisata" required></select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="caption" class="col-sm-4 col-form-label text-md-right">Caption</label>
                            <div class="col-md-6">
                                <textarea id="caption" type="text" class="form-control" name="caption" required></textarea>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="foto" class="col-sm-4 col-form-label text-md-right">Foto</label>
                            <div class="col-md-6">
                                <input type="file" name="file_foto" id="file_foto" require>
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-8 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    Submit
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
$(document).ready(function(){
    var dropdown = $('#dropKota');

    dropdown.append('<option value="" disabled>Pilih Kota</option>');
    dropdown.prop('selectedIndex', 0);

    var dropdown1 = $('#dropWisata');

    dropdown1.append('<option value="" disabled>Pilih Wisata</option>');
    dropdown1.prop('selectedIndex', 0);

    var url = "{{ route('api.kota') }}";

    $.getJSON(url, function (data) {

        for(var i = 0; i < data.kotas.length; i++){
            dropdown.append($('<option></option>').attr('value', data.kotas[i].id).text(data.kotas[i].nama_kota));
        }

    });

    dropdown.change(function(){
        dropdown1.empty().append('<option selected="true" value="" disabled>Pilih Wisata</option>');

        url = "{{ url('api/wisata') . '/' }}" + $(this).val();

        $.getJSON(url, function (data) {

            for(var i = 0; i < data.wisatas.length; i++){
                dropdown1.append($('<option></option>').attr('value', data.wisatas[i].id).text(data.wisatas[i].nama_tempat_wisata));
            }

        });
    });
});


</script>
@endsection